Subject: <no subject>

From: Lee Barnes <[email-masked]>
Date: Mon, 10 Feb 1997 18:29:14 -0500

2/10/97
Larry, Lee's online! at [email-masked]. I'm thinking of making my 
e-files available online, might set up a permaculture/bioregion/Katuah 
homepage... I'm also into sustainable forestry... hope all goes well with you. 
Happy trails, Lee.